# actions-deploy-to-skynet

## v2
### deploy
```yaml
jobs:
  # deploy it upstream
  deploy:
    # runs on teh default docker container
    runs-on: docker
    needs: [ build ]
    steps:
      - name: "Deploy to Skynet"
        uses: https://forgejo.skynet.ie/Skynet/actions-deploy-to-skynet@v2
        with:
          input: 'compsoc_public'
          token: ${{ secrets.API_TOKEN_FORGEJO }}
```

## v3
### deploy
```yaml
jobs:
  # deploy it upstream
  deploy:
    # runs on teh default docker container
    runs-on: docker
    needs: [ build ]
    steps:
      - name: "Deploy to Skynet"
        uses: https://forgejo.skynet.ie/Skynet/actions-deploy-to-skynet/deploy@v3
        with:
          input: 'compsoc_public'
          token: ${{ secrets.API_TOKEN_FORGEJO }}
```

### Get LFS
````yaml
jobs:
  build:
    # build it using teh base nixos system, helps with caching
    runs-on: nix
    steps:
      # get the repo first
      - uses: https://code.forgejo.org/actions/checkout@v4
      - name: "Get LFS objects"
        uses: https://forgejo.skynet.ie/Skynet/actions-deploy-to-skynet/get_lfs@v3
        with:
          repository: ${{ gitea.repository }}
          ref_name: ${{ gitea.ref_name }}
      - name: "Build it locally"
        run: nix build --verbose
````